# autogenerated by /home/rlauer/bin/make-cpan-dist.pl on Mon Jun 23 06:21:15 2025

use strict;
use warnings;

use ExtUtils::MakeMaker;
use File::ShareDir::Install;

if ( -d 'share' ) {
  install_share 'share';
}

WriteMakefile(
  NAME             => 'Amazon::API',
  MIN_PERL_VERSION => '5.010',
  AUTHOR           => 'Rob Lauer <rlauer6@comcast.net>',
  VERSION_FROM     => 'lib/Amazon/API.pm',
  ABSTRACT         => 'AWS API base class',
  LICENSE          => 'perl',
  PL_FILES         => {},
  EXE_FILES        => [ 'bin/amazon-api', 'bin/create-service', 'bin/create-service.sh.in' ],
  PREREQ_PM        => {
    'AWS::Signature4'     => '0',
    'Amazon::Credentials' => '1.1.18',
    'Carp::Always'        => '0',
    'Date::Format'        => '0',
    'HTTP::Request'       => '0',
    'IO::Scalar'          => '0',
    'JSON'                => '0',
    'LWP::UserAgent'      => '0',
    'List::MoreUtils'     => '0',
    'List::Util'          => '1.63',
    'Log::Log4perl'       => '0',
    'Pod::Find'           => '0',
    'Pod::HTML2Pod'       => '0',
    'Pod::Markdown'       => '0',
    'Pod::Parser'         => '0',
    'Pod::Simple'         => '3.43',
    'Pod::Text'           => '5.01',
    'Readonly'            => '0',
    'Term::ReadKey'       => '0',
    'URL::Encode'         => '0',
    'XML::LibXML'         => '0',
    'XML::Simple'         => '0'
  },
  BUILD_REQUIRES => {
    'ExtUtils::MakeMaker'     => '6.64',
    'File::ShareDir::Install' => 0,
  },
  CONFIGURE_REQUIRES => {
    'ExtUtils::MakeMaker'     => '6.64',
    'File::ShareDir::Install' => 0,
  },
  TEST_REQUIRES => { 'Test::More' => '0' },
  META_MERGE    => {
    'meta-spec' => { 'version' => 2 },
    'provides'  => {
      'Amazon::API' => {
        'file'    => 'lib/Amazon/API.pm',
        'version' => '2.1.4'
      },
      'Amazon::API::Botocore' => {
        'file'    => 'lib/Amazon/API/Botocore.pm',
        'version' => '2.1.4'
      },
      'Amazon::API::Botocore::Pod' => {
        'file'    => 'lib/Amazon/API/Botocore/Pod.pm',
        'version' => '2.1.4'
      },
      'Amazon::API::Botocore::Shape' => {
        'file'    => 'lib/Amazon/API/Botocore/Shape.pm',
        'version' => '2.1.4'
      },
      'Amazon::API::Botocore::Shape::Serializer' => {
        'file'    => 'lib/Amazon/API/Botocore/Shape/Serializer.pm',
        'version' => '2.1.4'
      },
      'Amazon::API::Botocore::Shape::Utils' => {
        'file'    => 'lib/Amazon/API/Botocore/Shape/Utils.pm',
        'version' => '2.1.4'
      },
      'Amazon::API::Constants' => {
        'file'    => 'lib/Amazon/API/Constants.pm',
        'version' => '2.1.4'
      },
      'Amazon::API::Error' => {
        'file'    => 'lib/Amazon/API/Error.pm',
        'version' => '2.1.4'
      },
      'Amazon::API::Pod::Parser' => {
        'file'    => 'lib/Amazon/API/Pod/Parser.pm',
        'version' => '0.01'
      },
      'Amazon::API::Pod::Simple::Text' => {
        'file'    => 'lib/Amazon/API/Pod/Simple/Text.pm',
        'version' => '0.01'
      },
      'Amazon::API::Signature4' => {
        'file'    => 'lib/Amazon/API/Signature4.pm',
        'version' => '2.1.4'
      },
      'Amazon::API::Template' => {
        'file'    => 'lib/Amazon/API/Template.pm',
        'version' => 'undef'
      }
    },
    'resources' => {
      'bugtracker' => {
        'mailto' => 'rlauer6@comcast.net',
        'web'    => 'http://github.com/rlauer6/perl-Amazon-API/issues'
      },
      'homepage'   => 'http://github.com/rlauer6/perl-Amazon-API',
      'repository' => {
        'type' => 'git',
        'url'  => 'git://github.com/rlauer6/perl-Amazon-API.git',
        'web'  => 'http://github.com/rlauer6/perl-Amazon-API'
      }
    }
  }

);

package MY;

use File::ShareDir::Install;
use English qw(-no_match_vars);
use Cwd;

sub postamble {
  my $self = shift;

  my @ret = File::ShareDir::Install::postamble($self);

  my $postamble = join "\n", @ret;

  print {*STDERR} sprintf "pwd: %s\n", cwd;

  print {*STDERR} `ls share`;
  print {*STDERR} sprintf "exists: %s\n", -e 'postamble';

  if ( -e 'postamble' ) {
    local $RS = undef;

    open my $fh, '<', 'postamble'
      or die "could not open postamble\n";

    $postamble .= <$fh>;

    close $fh;
  }

  print {*STDERR} "postamble: $postamble";

  return $postamble;
}

1;
